<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_gravity="center"
    android:background="@android:color/transparent"
    android:padding="5dp">



    <LinearLayout
        android:id="@+id/first_layer"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:padding="15dp">

        <TextView
            android:id="@+id/title"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginBottom="20dp"

            android:gravity="center"
            android:paddingLeft="10dp"
            android:paddingRight="10dp"
            android:autoLink="web"
            android:textColorLink="@color/link"
            android:text="@string/select_month_year_text"
            android:textColor="@android:color/secondary_text_light"
            android:textSize="20sp"
            android:textStyle="normal" />
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="10dp"
            android:layout_marginEnd="10dp"
            android:orientation="horizontal">
            <LinearLayout
                android:layout_width="0dp"
                android:layout_weight="0.35"
                android:layout_height="wrap_content"
                android:background="@drawable/amdp_border_black_outline_white_back"
                android:orientation="horizontal">
                <Spinner
                    android:id="@+id/month"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:entries="@array/month"
                    android:padding="10dp"/>
            </LinearLayout>


            <LinearLayout
                android:layout_width="0dp"
                android:layout_weight="0.4"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:background="@drawable/amdp_border_black_outline_white_back"
                android:orientation="horizontal">
                <Spinner
                    android:id="@+id/year"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:entries="@array/years"
                    android:padding="10dp"/>
            </LinearLayout>

        </LinearLayout>
        <LinearLayout
            android:id="@+id/buttons_holder"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="12dp"
            android:gravity="center"
            android:orientation="horizontal"
            android:weightSum="1">

            <LinearLayout
                android:id="@+id/llYes"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="0.455"
                android:background="?android:attr/selectableItemBackground"
                android:clickable="true"
                android:focusable="true">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/layout_bg_primary_color"
                    android:orientation="horizontal"
                    android:weightSum="1">

                    <RelativeLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="0.3"
                        android:background="@drawable/text_bg">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerInParent="true"
                            android:background="@drawable/ic_check"
                            android:backgroundTint="@color/white" />
                    </RelativeLayout>

                    <TextView
                        android:id="@+id/tvYes"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="0.7"
                        android:gravity="center"
                        android:paddingBottom="10dp"
                        android:paddingTop="10dp"
                        android:text="@string/select_btn_text"
                        android:textColor="@color/colorPrimary"
                        android:textSize="16sp"
                        android:textStyle="bold" />
                </LinearLayout>
            </LinearLayout>

            <View
                android:id="@+id/space"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="0.05" />

            <LinearLayout android:visibility="gone"
                android:id="@+id/llCancel"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="0.455"
                android:background="?android:attr/selectableItemBackground"
                android:clickable="true"
                android:focusable="true">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/layout_bg_primary_color"
                    android:orientation="horizontal"
                    android:weightSum="1">

                    <RelativeLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="0.3"
                        android:background="@drawable/text_bg">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerInParent="true"
                            android:background="@drawable/ic_close"
                            android:backgroundTint="@color/white" />
                    </RelativeLayout>

                    <TextView
                        android:id="@+id/tvCancel"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="0.7"
                        android:ellipsize="end"
                        android:gravity="center"
                        android:maxLines="1"
                        android:paddingBottom="10dp"
                        android:paddingTop="10dp"
                        android:text="@string/cancel_btn_text"
                        android:textColor="@color/colorPrimary"
                        android:textSize="16sp"
                        android:textStyle="bold" />
                </LinearLayout>
            </LinearLayout>


        </LinearLayout>


    </LinearLayout>

</FrameLayout>